/* a simple openGL program for drawing lines, points and polygons */

#include <stdlib.h>
#include <stdio.h>
#include <math.h>
#include <assert.h>

#ifdef __APPLE__
#include <GLUT/glut.h>
#else
#include <GL/glut.h>
#endif

GLfloat blue[3] = {0.0, 0.0, 1.0};
GLfloat white[3] = {1.0, 1.0, 1.0};
GLfloat gray[3] = {0.5, 0.5, 0.5};


/* forward declarations of functions */
void display(void);
void keypress(unsigned char key, int x, int y);


int main(int argc, char** argv) {

  /* open a window */
  glutInit(&argc, argv);
  glutInitDisplayMode(GLUT_SINGLE | GLUT_RGB | GLUT_DEPTH);
  glutInitWindowSize(500, 500);
  glutInitWindowPosition(100,100);
  glutCreateWindow(argv[0]);

  /* OpenGL init */
  glClearColor(0, 0, 0, 0);   /* set background color black*/
  glClear(GL_COLOR_BUFFER_BIT); /* clear background color */
  /* glOrtho(-1,1,-1,1,-1,1); */  /* set projection */
  glColor3f(1.0,1.0,1.0);   /* set draw color white */
  /* glColor3fv(blue); */  /* set draw color blue */
  /* glColor3fv(gray); */   /* set draw color gray */
  
  /* keep window on the screen */
  glutDisplayFunc(display); 

  /* attach keyboard event handling */
  glutKeyboardFunc(keypress);

  glutMainLoop();
  return 0;
}



void display(void) {

 glPolygonMode(GL_FRONT, GL_FILL);
 /* draw a polygon */
  glBegin(GL_POLYGON);
  glVertex2f(-0.5,-0.5);
  glVertex2f(-0.5,0.5);
  glVertex2f(0.5,0.5);
  glVertex2f(0.5,-0.5);
  glEnd();

  /* execute the drawing commands */
  glFlush();
}

void
keypress(unsigned char key, int x, int y) {
  switch(key) {
  case 'q':
    exit(0);
    break;
  } 
}

